Skip to main content
PUT
Update an API check

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

id
string<uuid>
required
Minimum string length: 1

Query Parameters

autoAssignAlerts
boolean
default:true

Determines whether a new check will automatically be added as a subscriber to all existing alert channels when it gets created.

Body

application/json
name
string
Minimum string length: 1
activated
boolean
muted
boolean
doubleCheck
boolean
shouldFail
boolean
locations
enum<string>[] | null
Available options:
us-east-1,
us-east-2,
us-west-1,
us-west-2,
ca-central-1,
sa-east-1,
eu-west-1,
eu-central-1,
eu-west-2,
eu-west-3,
eu-north-1,
eu-south-1,
me-south-1,
ap-southeast-1,
ap-northeast-1,
ap-east-1,
ap-southeast-2,
ap-southeast-3,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
af-south-1
tags
string[]
Minimum string length: 1
alertSettings
object
useGlobalAlertSettings
boolean
groupId
number | null
groupOrder
number | null
Required range: x >= 0
runtimeId
enum<string> | null
Available options:
2026.04,
2025.04,
2024.09,
2024.02,
2023.09,
2023.02,
2022.10,
null
alertChannelSubscriptions
object[]
retryStrategy
object | null
triggerIncident
object | null
runParallel
boolean
description
string | null
Maximum string length: 500
checkType
enum<string>
Available options:
API
request
object
frequency
enum<integer>
Available options:
0,
1,
2,
5,
10,
15,
30,
60,
120,
180,
360,
720,
1440
frequencyOffset
integer
Required range: x >= 1
degradedResponseTime
number | null
Required range: 0 <= x <= 45000
maxResponseTime
number | null
Required range: 0 <= x <= 45000
privateLocations
string[] | null
Minimum string length: 1
tearDownSnippetId
number | null
setupSnippetId
number | null
localSetupScript
string | null
localTearDownScript
string | null

Response

Successful

name
string
required
Minimum string length: 1
activated
boolean
default:true
muted
boolean
default:false
doubleCheck
boolean
default:true
shouldFail
boolean
default:false
locations
enum<string>[] | null
Available options:
us-east-1,
us-east-2,
us-west-1,
us-west-2,
ca-central-1,
sa-east-1,
eu-west-1,
eu-central-1,
eu-west-2,
eu-west-3,
eu-north-1,
eu-south-1,
me-south-1,
ap-southeast-1,
ap-northeast-1,
ap-east-1,
ap-southeast-2,
ap-southeast-3,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
af-south-1
tags
string[]
Minimum string length: 1
alertSettings
object | null
useGlobalAlertSettings
boolean
default:true
groupId
number | null
groupOrder
number | null
Required range: x >= 0
runtimeId
enum<string> | null
Available options:
2026.04,
2025.04,
2024.09,
2024.02,
2023.09,
2023.02,
2022.10,
null
alertChannelSubscriptions
object[]
retryStrategy
object | null
triggerIncident
object | null
runParallel
boolean
default:false
description
string | null
Maximum string length: 500
id
string
created_at
string<date-time>
updated_at
string<date-time> | null
alertChannels
object | null
privateLocations
string[] | null
Minimum string length: 1
frequency
enum<integer>
default:10
Available options:
0,
1,
2,
5,
10,
15,
30,
60,
120,
180,
360,
720,
1440
frequencyOffset
integer
Required range: x >= 1
degradedResponseTime
number | null
maxResponseTime
number | null
checkType
enum<string>
Available options:
API
request
object
tearDownSnippetId
number | null
setupSnippetId
number | null
localSetupScript
string | null
localTearDownScript
string | null